%global pypi_name pynacl

Name:           python-%{pypi_name}
Version:        1.5.0
Release:        %mkrel 1
Summary:        Python binding to the Networking and Cryptography (NaCl) library
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/pyca/pynacl/
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/PyNaCl-%{version}.tar.xz

BuildRequires:  python3-devel
BuildRequires:  python-cffi
BuildRequires:  python-hypothesis
BuildRequires:  python-setuptools
BuildRequires:  python-six
BuildRequires:  python-funcsigs

%description
PyNaCl is a Python binding to libsodium, which is a fork of the Networking
and Cryptography library.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
PyNaCl is a Python binding to libsodium, which is a fork of the Networking
and Cryptography library.

%prep
%setup -qn PyNaCl-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test


%files -n python3-%{pypi_name}
%doc LICENSE
%doc README.rst
%{python3_sitearch}/nacl/
%{python3_sitearch}/PyNaCl-%{version}-py%{python3_version}.egg-info/


%changelog
* Thu Aug 18 2022 TerryN <terryn94 at gmail.com> 1.5.0-1pclos2022
- update and rebuild for python 3.10

* Sun Feb 03 2019 tex 1.3.0-1pclos2019
- created
